#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_n_x=0; 
   jsp var_Tin=0; 
   jsp var_FbinMin=0; 
   jsp var_FbinMax=0; 
   jsp var_TwMin=0; 
   jsp var_TwMax=0; 
   jsp var_TK0=0; 
   jsp var_b2=0; 
   jsp var_Fscal=0; 
   jsp var_MA=0; 
   jsp var_MB=0; 
   jsp var_MC=0; 
   jsp var_ME=0; 
   jsp var_MG=0; 
   jsp var_MP=0; 
   jsp var_k1=0; 
   jsp var_k2=0; 
   jsp var_k3=0; 
   jsp var_E1=0; 
   jsp var_E2=0; 
   jsp var_E3=0; 
   jsp var_DH1=0; 
   jsp var_DH2=0; 
   jsp var_DH3=0; 
   jsp var_CP=0; 
   jsp var_cRevP=0; 
   jsp var_cRevE=0; 
   jsp var_Aref=0; 
   jsp var_mref=0; 
   jsp var_U=0; 
   jsp par_TwCur=0; 
   jsp par_FbinCur=0; 
   jsp par_FainCur=0; 
   jsp par_FinalTime=0; 
   jsp var_rhoA=0; 
   jsp der_var_rhoA=0; 
   jsp var_rhoB=0; 
   jsp der_var_rhoB=0; 
   jsp var_rhoC=0; 
   jsp der_var_rhoC=0; 
   jsp var_rhoE=0; 
   jsp der_var_rhoE=0; 
   jsp var_rhoG=0; 
   jsp der_var_rhoG=0; 
   jsp var_rhoP=0; 
   jsp der_var_rhoP=0; 
   jsp var_TR=0; 
   jsp der_var_TR=0; 
   jsp var_V=0; 
   jsp der_var_V=0; 
   jsp var_phi=0; 
   jsp der_var_phi=0; 
   jsp var_r1=0; 
   jsp der_var_r1=0; 
   jsp var_r2=0; 
   jsp der_var_r2=0; 
   jsp var_r3=0; 
   jsp der_var_r3=0; 
   jsp var_i_expr=0; 
   jsp var_div0=0; 
   jsp var_i_expr2=0; 
   jsp var_i_expr3=0; 
   jsp var_div1=0; 
   jsp var_i_expr5=0; 
   jsp var_div4=0; 
   jsp var_i_expr7=0; 
   jsp var_i_expr8=0; 
   jsp var_div6=0; 
   jsp var_i_expr10=0; 
   jsp var_i_expr11=0; 
   jsp var_div9=0; 
   jsp var_div12=0; 
   jsp var_div13=0; 
   jsp var_i_expr15=0; 
   jsp var_i_expr16=0; 
   jsp var_div14=0; 
   jsp var_div17=0; 
   jsp var_i_expr19=0; 
   jsp var_i_expr20=0; 
   jsp var_div18=0; 
   jsp var_div21=0; 
   jsp var_i_expr23=0; 
   jsp var_i_expr24=0; 
   jsp var_div22=0; 
   jsp var_div25=0; 
   jsp var_i_expr27=0; 
   jsp var_i_expr28=0; 
   jsp var_div26=0; 
   jsp var_div29=0; 
   jsp var_div30=0; 
   jsp var_div31=0; 
   jsp var_i_expr33=0; 
   jsp var_i_expr34=0; 
   jsp var_div32=0; 
   jsp var_i_expr36=0; 
   jsp var_div35=0; 
   jsp var_i_expr38=0; 
   jsp var_div37=0; 
   jsp var_exp39=0; 
   jsp var_i_expr41=0; 
   jsp var_div40=0; 
   jsp var_exp42=0; 
   jsp var_i_expr44=0; 
   jsp var_div43=0; 
   jsp var_exp45=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_n_x=9;
   var_Tin=35;
   var_FbinMin=0;
   var_FbinMax=5.784;
   var_TwMin=20;
   var_TwMax=100;
   var_TK0=273.15;
   var_b2=6.6667;
   var_Fscal=1000;
   var_MA=100;
   var_MB=100;
   var_MC=200;
   var_ME=200;
   var_MG=300;
   var_MP=100;
   var_k1=1.6599e+06;
   var_k2=7.2117e+08;
   var_k3=2.6745e+12;
   var_E1=0-6666.7;
   var_E2=0-8333.3;
   var_E3=0-11111;
   var_DH1=0-263.8;
   var_DH2=0-158.3;
   var_DH3=0-226.3;
   var_CP=4.184;
   var_cRevP=5554.1;
   var_cRevE=125.91;
   var_Aref=9.2903;
   var_mref=2105.2;
   var_U=0.23082;
   par_TwCur=p[0];
   par_FbinCur=p[1];
   par_FainCur=p[2];
   par_FinalTime=p[3];
   var_rhoA=x[0];
   der_var_rhoA=der_x[0];
   var_rhoB=x[1];
   der_var_rhoB=der_x[1];
   var_rhoC=x[2];
   der_var_rhoC=der_x[2];
   var_rhoE=x[3];
   der_var_rhoE=der_x[3];
   var_rhoG=x[4];
   der_var_rhoG=der_x[4];
   var_rhoP=x[5];
   der_var_rhoP=der_x[5];
   var_TR=x[6];
   der_var_TR=der_x[6];
   var_V=x[7];
   der_var_V=der_x[7];
   var_phi=x[8];
   der_var_phi=der_x[8];
   var_r1=x[9];
   der_var_r1=der_x[9];
   var_r2=x[10];
   der_var_r2=der_x[10];
   var_r3=x[11];
   der_var_r3=der_x[11];
   var_i_expr=(var_Fscal*var_V);
   jsp_acs_div(par_FainCur,var_i_expr,var_div0);
   var_i_expr2=(par_FbinCur+par_FainCur);
   var_i_expr3=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr2,var_i_expr3,var_div1);
   yy[i_E]=der_var_rhoA-(var_div0-var_rhoA*var_div1-var_k1*var_r1);
   i_E=i_E+1;
   var_i_expr5=(var_Fscal*var_V);
   jsp_acs_div(par_FbinCur,var_i_expr5,var_div4);
   var_i_expr7=(par_FbinCur+par_FainCur);
   var_i_expr8=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr7,var_i_expr8,var_div6);
   yy[i_E]=der_var_rhoB-(var_div4-var_rhoB*var_div6-var_k1*var_r1-var_k2*var_r2);
   i_E=i_E+1;
   var_i_expr10=(par_FbinCur+par_FainCur);
   var_i_expr11=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr10,var_i_expr11,var_div9);
   jsp_acs_div(var_MC,var_MA,var_div12);
   jsp_acs_div(var_MC,var_MB,var_div13);
   yy[i_E]=der_var_rhoC-(0-var_rhoC*var_div9+var_div12*var_k1*var_r1-var_div13*var_k2*var_r2-var_k3*var_r3);
   i_E=i_E+1;
   var_i_expr15=(par_FbinCur+par_FainCur);
   var_i_expr16=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr15,var_i_expr16,var_div14);
   jsp_acs_div(var_ME,var_MB,var_div17);
   yy[i_E]=der_var_rhoE-(0-var_rhoE*var_div14+var_div17*var_k2*var_r2);
   i_E=i_E+1;
   var_i_expr19=(par_FbinCur+par_FainCur);
   var_i_expr20=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr19,var_i_expr20,var_div18);
   jsp_acs_div(var_MG,var_MC,var_div21);
   yy[i_E]=der_var_rhoG-(0-var_rhoG*var_div18+var_div21*var_k3*var_r3);
   i_E=i_E+1;
   var_i_expr23=(par_FbinCur+par_FainCur);
   var_i_expr24=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr23,var_i_expr24,var_div22);
   jsp_acs_div(var_MP,var_MC,var_div25);
   yy[i_E]=der_var_rhoP-(0-var_rhoP*var_div22+var_k2*var_r2-var_div25*var_k3*var_r3);
   i_E=i_E+1;
   var_i_expr27=(var_Tin-var_TR);
   var_i_expr28=(var_Fscal*var_V);
   jsp_acs_div(var_i_expr27,var_i_expr28,var_div26);
   jsp_acs_div(var_DH1,var_CP,var_div29);
   jsp_acs_div(var_DH2,var_CP,var_div30);
   jsp_acs_div(var_DH3,var_CP,var_div31);
   var_i_expr33=(var_U*var_Aref);
   var_i_expr34=(var_CP*var_mref);
   jsp_acs_div(var_i_expr33,var_i_expr34,var_div32);
   yy[i_E]=der_var_TR-((par_FbinCur+par_FainCur)*var_div26-var_div29*var_k1*var_r1-var_div30*var_k2*var_r2-var_div31*var_k3*var_r3-var_div32*(var_TR-par_TwCur));
   i_E=i_E+1;
   var_i_expr36=(par_FbinCur+par_FainCur);
   jsp_acs_div(var_i_expr36,var_Fscal,var_div35);
   yy[i_E]=der_var_V-(var_div35);
   i_E=i_E+1;
   yy[i_E]=der_var_phi-(var_rhoP*var_V);
   i_E=i_E+1;
   var_i_expr38=(var_TR+var_TK0);
   jsp_acs_div(var_E1,var_i_expr38,var_div37);
   jsp_acs_exp(var_div37,var_exp39);
   yy[i_E]=var_r1-(var_exp39*var_rhoA*var_rhoB);
   i_E=i_E+1;
   var_i_expr41=(var_TR+var_TK0);
   jsp_acs_div(var_E2,var_i_expr41,var_div40);
   jsp_acs_exp(var_div40,var_exp42);
   yy[i_E]=var_r2-(var_exp42*var_rhoB*var_rhoC);
   i_E=i_E+1;
   var_i_expr44=(var_TR+var_TK0);
   jsp_acs_div(var_E3,var_i_expr44,var_div43);
   jsp_acs_exp(var_div43,var_exp45);
   yy[i_E]=var_r3-(var_exp45*var_rhoC*var_rhoP);
   i_E=i_E+1;
   n_c=i_C;
}
